Bug 804610 - Can't promote packages from repos with international chars in name
Can't promote packages from repos with international chars in name
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Partha Aji
Garik Khachikyan
: Triaged
Depends On: 803702
Blocks: cfse-object-labels/katello-object-label
  Show dependency treegraph
 
Reported: 2012-03-19 08:28 EDT by Tomas Strachota
Modified: 2015-01-04 16:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Promoting a package from a repository with non-ASCII characters in its name failed due to limitations identifying objects such as organizations, environments, products, and repositories with UTF-8 characters. This update properly parses repositories containing non-ASCII characters. Package promotion works correctly regardless of the characters included.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant part of pulp.log (1.92 KB, text/x-log)
2012-03-19 08:44 EDT, Tomas Strachota
no flags Details

  None (edit)
Description Tomas Strachota 2012-03-19 08:28:58 EDT
Description of problem:

Promotion of a package from a repository with international characters in name fails due to error in dependency calculation on Pulp's side. There's problem with path to repository files that is not encoded. Relevant part of pulp.log is attached.


Version-Release number of selected component (if applicable):
pulp-1.0.2-1
katello-0.2.14-1


Steps to Reproduce:
1. create org, product and repo with international chars in name
2. promote the product
3. create a changeset, add any package from the repo
4. try to promote the changeset or run 'katello changeset info --dependencies ...'

Actual results:
The promotion ends with
Changeset [ changeset_2_žába_5f85ea4 ] promotion failed: undefined method `name' for nil:NilClass

According to pulp.log and some closer debugging it's in fact problem of dependency calculation.

Expected results:
It should promote without errors.
Comment 1 Tomas Strachota 2012-03-19 08:44:49 EDT
Created attachment 571104 [details]
Relevant part of pulp.log
Comment 3 Og Maciel 2012-09-17 15:12:46 EDT
BLOCKED by https://bugzilla.redhat.com/show_bug.cgi?id=858011
Comment 4 Mike McCune 2012-09-19 14:03:17 EDT
https://github.com/Katello/katello/pull/705
Comment 7 Garik Khachikyan 2012-09-25 08:13:17 EDT
depends from the issue in: bz#803702
Comment 8 Brad Buckingham 2012-09-25 09:30:59 EDT
see comment on bug 803702#c13
Comment 9 Mike McCune 2012-10-02 15:34:01 EDT
this was resolved in 803702 - moving ON_QA
Comment 10 Garik Khachikyan 2012-10-03 11:12:47 EDT
# VERIFIED

see bz above. checked and it works now. thanks for the detailed instructions.
Comment 12 errata-xmlrpc 2012-12-04 14:43:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.